gtkmm 2.4: Gtk::RadioMenuItem Class Reference

Main Page Widgets Namespaces Book

# Gtk::RadioMenuItem Class Reference
[Menu classes, Widgets]

Inheritance diagram for Gtk::RadioMenuItem:

[legend]
List of all members.

## Detailed Description

A CheckMenuItem that belongs to a group.

At each instant exactly one of the menu items from a group is selected.

## Public Types
typedef RadioButtonGroup | Group
## Public Member Functions
Group | get_group ()
const GtkRadioMenuItem* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRadioMenuItem* | gobj ()
| Provides access to the underlying C GtkObject.
| RadioMenuItem (Group& groupx, const Glib::ustring& label, bool mnemonic=false)
| RadioMenuItem (Group& groupx)
void | reset_group ()
void | set_group (Group& group)
Glib::SignalProxy0<void> | signal_group_changed ()
virtual | ~RadioMenuItem ()
## Protected Member Functions
void | constructor (const Group& group)
## Related Functions
(Note that these are not member functions.)
Gtk::RadioMenuItem* | wrap (GtkRadioMenuItem* object, bool take_copy=false)

## Member Typedef Documentation

typedef RadioButtonGroup Gtk::RadioMenuItem::Group

## Constructor & Destructor Documentation

virtual Gtk::RadioMenuItem::~RadioMenuItem | ( |  | ) | `[virtual]`

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx | ) |

Gtk::RadioMenuItem::RadioMenuItem | ( | Group& | groupx,
|  | const Glib::ustring& | label,
|  | bool | mnemonic = `false`
| ) |

## Member Function Documentation

void Gtk::RadioMenuItem::constructor | ( | const Group& | group | ) | `[protected]`

Group Gtk::RadioMenuItem::get_group | ( |  | ) |

const GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CheckMenuItem.

GtkRadioMenuItem* Gtk::RadioMenuItem::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::CheckMenuItem.

void Gtk::RadioMenuItem::reset_group | ( |  | ) |

void Gtk::RadioMenuItem::set_group | ( | Group& | group | ) |

Glib::SignalProxy0<void> Gtk::RadioMenuItem::signal_group_changed | ( |  | ) |

| Prototype: `void group_changed()`

## Friends And Related Function Documentation

Gtk::RadioMenuItem* wrap | ( | GtkRadioMenuItem* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- radiomenuitem.h